CVE-2020-0198

NameCVE-2020-0198
DescriptionIn exif_data_load_data_content of exif-data.c, there is a possible UBSAN abort due to an integer overflow. This could lead to remote denial of service with no additional execution privileges needed. User interaction is needed for exploitation.Product: AndroidVersions: Android-10Android ID: A-146428941
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2249-1
NVD severitymedium
Debian Bugs962345

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libexif (PTS)stretch0.6.21-2+deb9u4fixed
stretch (security)0.6.21-2+deb9u1vulnerable
buster0.6.21-5.1+deb10u4fixed
buster (security)0.6.21-5.1+deb10u1vulnerable
bullseye, sid0.6.22-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libexifsourcejessie0.6.21-2+deb8u4DLA-2249-1
libexifsourcestretch0.6.21-2+deb9u4
libexifsourcebuster0.6.21-5.1+deb10u4
libexifsource(unstable)0.6.22-2962345

Notes

https://android.googlesource.com/platform/external/libexif/+/1e187b62682ffab5003c702657d6d725b4278f16%5E%21/#F0
https://github.com/libexif/libexif/commit/ce03ad7ef4e8aeefce79192bf5b6f69fae396f0c

Search for package or bug name: Reporting problems